<?php
/* Busqueda de registros de la tabla PLA_MarcacionRegistro redefinidos por el usuario. */
class PLA_MarcacionRegistroFN extends BasePLA_MarcacionRegistroFN
{
    public static function selectActivos()
    {
        $o_PLA_MarcacionRegistroFN = new PLA_MarcacionRegistroFN();
        $o_PLA_MarcacionRegistroFN->setEstado( "A" );
        $o_PLA_MarcacionRegistroFN->addOrderBy( PLA_MarcacionRegistroFN::Secuencia );
        return $o_PLA_MarcacionRegistroFN->select();
    }

    public static function getObjectPorIdReferencia( $i_IdEquivalente )
    {
        $o_PLA_MarcacionRegistroFN = new PLA_MarcacionRegistroFN();
        $o_PLA_MarcacionRegistroFN->setIdEquivalente( $i_IdEquivalente );
        $a_PLA_MarcacionRegistro = $o_PLA_MarcacionRegistroFN->select();
        if( $a_PLA_MarcacionRegistro )
        {
            return $a_PLA_MarcacionRegistro[0];
        }
        return null;
    }
}
?>